from django.shortcuts import render
from webapp.models import Article


def index_view(request):
    context = {'articles': Article.objects.all()}

    return render(request, 'index.html', context)


def article_detail_view(request):
    # /articles/detail?id=1
    article_id = request.GET.get('id')
    context = {'article': Article.objects.get(id=article_id)}
    
    return render(request, 'articles/detail.html', context)


def article_create_view(request):
    if request.method == 'GET':
        return render(request, 'articles/create.html')
    elif request.method == 'POST':
        print(request.POST)
        
        article = Article.objects.create(
            title=request.POST.get('title'),
            text=request.POST.get('text'),
            author=request.POST.get('author'),
        )

        context = {'article': article}

        return render(request, 'articles/detail.html', context)
